From 6466c7f0cafe63cf886ad31da47b68f0b075d477 Mon Sep 17 00:00:00 2001
From: Jie Tang <tangjie18@huawei.com>
Date: Tue, 19 May 2020 10:45:29 +0800
Subject: [PATCH 14/16] cpu_hotplug: add more tests for vcpu hot-plug in
 cpu-hotplug.cfg.

Add more vcpu hot-plug test cases, such as hot-plug 32, 64 or more vcpus.

Signed-off-by: Jie Tang <tangjie18@huawei.com>
---
 qemu/tests/cfg/cpu_hotplug.cfg | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

diff --git a/qemu/tests/cfg/cpu_hotplug.cfg b/qemu/tests/cfg/cpu_hotplug.cfg
index 881b50dd..085530b3 100644
--- a/qemu/tests/cfg/cpu_hotplug.cfg
+++ b/qemu/tests/cfg/cpu_hotplug.cfg
@@ -2,14 +2,17 @@
     virt_test_type = qemu
     type = cpu_hotplug
     cpu_hotplug_timeout = 600
+    mem = 16384
+    start_vm = no
     n_cpus_add = 1
     kill_vm = yes
     iterations = 5
-    onoff_iterations = 100
+    onoff_iterations = 10
     login_timeout = 240
     kill_vm = yes
     smp = 1
-    vcpu_maxcpus = 160
+    vcpu_maxcpus = 255
+    allow_pcpu_overcommit = yes
     # cpu_hotplug_cmd = 'cpu_set cpu=%s,state=online'
     # this at least need a RHEL.6.3 host
     # the smp can be overrided (tests.cfg is a good place)
@@ -18,9 +21,24 @@
     variants:
         - add_one_cpu:
 
+        - add_32_cpu:
+            n_cpus_add = 32
+        - add_64_cpu:
+            n_cpus_add = 64
+        - add_96_cpu:
+            n_cpus_add = 96
+        - add_128_cpu:
+            n_cpus_add = 128
+        - add_160_cpu:
+            n_cpus_add = 160
+        - add_192_cpu:
+            n_cpus_add = 192
+        - add_224_cpu:
+            n_cpus_add = 224
         - add_max_cpu:
             cpu_hotplug_timeout = 2000
-            n_cpus_add = 159
+            n_cpus_add = 240
         - nonexist_vcpu:
+            start_vm = yes
             type = nonexist_vcpu_hotplug
-            nonexist_vcpu = -1 161
+            nonexist_vcpu = -1 256
-- 
2.23.0

